### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dav

# Class DAVBinarypackage

java.lang.Object
com.sas.services.information.metadata.dav.DAVEntity
com.sas.services.information.metadata.dav.DAVItem
com.sas.services.information.metadata.dav.DAVBinarypackage

All Implemented Interfaces:
  `AttributesInterface`, `DAVEntityInterface`, `DAVItemInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DAVBinarypackage extends DAVItem
Represent a sas binary result package in the DAV store. The resource contains the binary SAS package results. The DAV resource has the property `{Constants.NS_PUBLISH_WEBDAV_URI}type` set to `binarypackage`

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, STORE, UNSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DAVBinarypackage(RepositoryData entity)`
  Creates a new DAVBinarypackage from the information in the entity
  `DAVBinarypackage(RepositoryInterface repos, String reposId)`
  Creates a new DAVBinarypackage for the entity with a repository id `reposId` in the repository `repos`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAbstract()`
  Get the "abstract" property using the SASDAV_NAMESPACE namespace.
  `String`
  `getCreationDate()`
  Get the "creationDateTime" property using the SASDAV_NAMESPACE namespace.
  `String`
  `getCreationDateNumeric()`
  Get the "creationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.
  `String`
  `getDescription()`
  Return the description.
  `String`
  `getExpirationDate()`
  Get the "expirationDateTime" property using the SASDAV_NAMESPACE namespace.
  `String`
  `getExpirationDateNumeric()`
  Get the "expirationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.
  `String`
  `getObjectClass()`
  Object class is "binarypackage".
  `String`
  `getPublisherAlias()`
  Return the publisher alias information.
  `String`
  `getPublisherURI()`
  Return the publisher URI.
  `String`
  `getType()`
  Type is "binarypackage".
  `Map`
  `getUserProperties()`
  Get the user properties defined for the package.

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVItem

  `checkin, checkout, clearLocalLists, finalize, getContentLength, getContents, getContentsAsBytes, getContentsStatus, getContentType, hasContentsUpdates, isUpdatePending, setContents, setContents, setContentsfromStore, setContentsStatus, setContentType, toString, uncheckout`

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface

  `addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface

  `addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

- ## Constructor Details

  - ### DAVBinarypackage

    public DAVBinarypackage(RepositoryInterface repos, String reposId)
    Creates a new DAVBinarypackage for the entity with a repository id `reposId` in the repository `repos`

  - ### DAVBinarypackage

    public DAVBinarypackage(RepositoryData entity)
    Creates a new DAVBinarypackage from the information in the entity

- ## Method Details

  - ### getCreationDate

    public String getCreationDate()
    Get the "creationDateTime" property using the SASDAV_NAMESPACE namespace.

    Returns:
      String Creation Date (format ddMMMyyyy:HH:mm:ss)

  - ### getExpirationDate

    public String getExpirationDate()
    Get the "expirationDateTime" property using the SASDAV_NAMESPACE namespace.

    Returns:
      String Expiration Date (format ddMMMyyyy:HH:mm:ss)

  - ### getCreationDateNumeric

    public String getCreationDateNumeric()
    Get the "creationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.

    Returns:
      String Creation Date in SAS double format

  - ### getExpirationDateNumeric

    public String getExpirationDateNumeric()
    Get the "expirationDateTimeNumeric" property using the SASDAV_NAMESPACE namespace.

    Returns:
      String Expiration Date in SAS double format

  - ### getAbstract

    public String getAbstract()
    Get the "abstract" property using the SASDAV_NAMESPACE namespace.

    Returns:
      String Abstract for the package

  - ### getUserProperties

    public Map getUserProperties()
    Get the user properties defined for the package.

    Returns:
      Map User defined properties for the package

  - ### getObjectClass

    public String getObjectClass()
    Object class is "binarypackage".

    Overrides:
      `getObjectClass` in class `DAVEntity`
    Returns:
      String The object class for the package

  - ### getType

    public String getType()
    Type is "binarypackage".

    Specified by:
      `getType` in interface `DAVEntityInterface`
    Overrides:
      `getType` in class `DAVEntity`
    Returns:
      String The type for the package

  - ### getDescription

    public String getDescription()
    Return the description. This is stored in the "description" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).
    Specified by:
      `getDescription` in interface `DAVEntityInterface`
    Overrides:
      `getDescription` in class `DAVEntity`
    Returns:
      String The package description

  - ### getPublisherURI

    public String getPublisherURI()
    Return the publisher URI. This stored in the " publisherURL" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).
    Returns:
      String The publisher

  - ### getPublisherAlias

    public String getPublisherAlias()
    Return the publisher alias information. This stored in the "publisherAlias" property in the SASDAV_NAMESPACE namespace and not the SASDAV_SCHEMA_NAMESPACE (the default).
    Returns:
      String The publisher